Atom feed of this document
 

 List Ports

Verb URI Description
GET /tenants/tenant-id/networks/ network-id/ports Lists all the ports currently defined for a Quantum network, identified by network-id

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420)

This operation lists all the ports currently configured for a network. For each port the response reports its unique identifier. If no ports have been created on the network an empty list will be returned.

This operation does not require a request body.

 

Example 4.15. Port List Request/Response (XML)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports.xml                

Response:

<ports>
    <port 
    	id="98017ddc-efc8-4c25-a915-774b2a633855"/>
    <port 
    	id="b832be00-6553-4f69-af33-acd554e36d08"/>
</ports>
                    

 

Example 4.16. Port List Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports.json	                

Response:

{
    "ports":
        [
           {
               "id": "98017ddc-efc8-4c25-a915-774b2a633855"
           },
           {
               "id": "b832be00-6553-4f69-af33-acd554e36d08"
           }
        ]
}